Bug 2611 - fbsetfont does not set mode for all consoles
: fbsetfont does not set mode for all consoles
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/startup)
: unstable
: all Linux
: P5 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-05-23 20:24 by
Modified: 2003-09-08 15:58 (History)


Attachments
2611-fbsetfont.patch (413 bytes, application/octet-stream)
2003-05-23 20:29, Sergey Vlasov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-05-23 20:24:37
/etc/rc.d/init.d/fbsetfont устанавливает видеорежим только на консолях 1 и 12
(по крайней мере с ядром 2.4.20-alt7). На консолях 2-6 остаётся режим по
умолчанию.
---

---
------- Comment #1 From 2003-05-23 20:33:26 -------
Прилагаемый патч принудительно создаёт консоли, которые предположительно будут
использоваться (раз уж они перечислены в /etc/sysconfig/framebuffer, они всё
равно будут созданы далее при настройке шрифтов).

Ещё одно дополнение: желательно в /etc/sysconfig/framebuffer по умолчанию в
список TTYS включить и 7. В этом случае по крайней мере с radeonfb, если
установить одинаковые видеорежимы для fbcon и X, возможно переключение между X
и консолями без сбоя синхронизации монитора (без этого сбивается - видимо, X
сначала восстанавливает предыдущий режим на своей консоли, а потом
отрабатывается переключение консолей).
------- Comment #2 From 2003-05-23 20:33:26 -------
Прилагаемый патч принудительно создаёт консоли, которые предположительно будут
использоваться (раз уж они перечислены в /etc/sysconfig/framebuffer, они всё
равно будут созданы далее при настройке шрифтов).

Ещё одно дополнение: желательно в /etc/sysconfig/framebuffer по умолчанию в
список TTYS включить и 7. В этом случае по крайней мере с radeonfb, если
установить одинаковые видеорежимы для fbcon и X, возможно переключение между X
и консолями без сбоя синхронизации монитора (без этого сбивается - видимо, X
сначала восстанавливает предыдущий режим на своей консоли, а потом
отрабатывается переключение консолей).
------- Comment #3 From 2003-05-23 20:42:58 -------
Не нравится мне такой \"принудительный\" подход.
Может быть, лучше поступить по аналогии с новой версией /etc/init.d/dm, а на
$TTYS забить?
------- Comment #4 From 2003-05-23 20:42:58 -------
Не нравится мне такой \"принудительный\" подход.
Может быть, лучше поступить по аналогии с новой версией /etc/init.d/dm, а на
$TTYS забить?
------- Comment #5 From 2003-05-23 20:54:42 -------
Не понял...

Посмотрел сюда:

$ rpm -qf /etc/init.d/dm
xinitrc-2.4.13-alt1

Что именно предлагается оттуда брать?

По поводу \"принудительно\" - я же написал, что точно то же самое делается двумя строками ниже, там, где ставится шрифт.
------- Comment #6 From 2003-05-23 20:54:42 -------
Не понял...

Посмотрел сюда:

$ rpm -qf /etc/init.d/dm
xinitrc-2.4.13-alt1

Что именно предлагается оттуда брать?

По поводу \"принудительно\" - я же написал, что точно то же самое делается двумя строками ниже, там, где ставится шрифт.
------- Comment #7 From 2003-05-23 21:49:33 -------
Предлагается взять парсер inittab\'а.
------- Comment #8 From 2003-05-23 21:49:33 -------
Предлагается взять парсер inittab\'а.
------- Comment #9 From 2003-05-27 16:44:11 -------
Please check startup-0.3-alt1
------- Comment #10 From 2003-05-27 16:44:11 -------
Please check startup-0.3-alt1
------- Comment #11 From 2003-05-27 17:08:13 -------
Ага, так работает. Вопрос по поводу tty7 остаётся, но это хотя бы можно
настроить относительно нормальным путём.
------- Comment #12 From 2003-05-27 17:08:13 -------
Ага, так работает. Вопрос по поводу tty7 остаётся, но это хотя бы можно
настроить относительно нормальным путём.
------- Comment #13 From 2003-05-27 17:20:53 -------
Боюсь, что если настороить tty7, то Xserver может схватить tty8.
------- Comment #14 From 2003-05-27 17:20:53 -------
Боюсь, что если настороить tty7, то Xserver может схватить tty8.
------- Comment #15 From 2003-05-27 17:50:52 -------
У меня не схватывает (я дописал 7 в /etc/sysconfig/framebuffer, в TTYS). Да и с
чего бы - tty7 же не остаётся открытым, важно только, чтобы эта консоль была
уже создана перед fbset -a; а framebuffer запускается раньше dm.

Сейчас взялся искать, почему это у меня ещё и tty8 создаётся, да к тому же со
стандартным режимом - нашёл: numlock-2.0-ipl8mdk.
------- Comment #16 From 2003-05-27 17:50:52 -------
У меня не схватывает (я дописал 7 в /etc/sysconfig/framebuffer, в TTYS). Да и с
чего бы - tty7 же не остаётся открытым, важно только, чтобы эта консоль была
уже создана перед fbset -a; а framebuffer запускается раньше dm.

Сейчас взялся искать, почему это у меня ещё и tty8 создаётся, да к тому же со
стандартным режимом - нашёл: numlock-2.0-ipl8mdk.
------- Comment #17 From 2003-09-06 00:34:18 -------
Fixed in startup-0.3-alt1 
------- Comment #18 From 2003-09-08 15:58:08 -------
fixed (tty7 при необходимости можно настроить, и ладно).